<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.material.mapper.BladeMaterialMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.material.entity.BladeMaterial">
        <id column="id" property="id" />
        <result column="material_name" property="materialName" />
        <result column="original_name" property="originalName" />
        <result column="category_id" property="categoryId" />
        <result column="path" property="path" />
        <result column="create_user" property="createUser" />
        <result column="create_time" property="createTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, material_name, original_name, category_id, path, create_user, create_time
    </sql>

</mapper>
